using NetinaShop.Domain.Entities.Pages;

namespace NetinaShop.Core.CoreServices.Abstracts;

public interface IPageService : IScopedDependency
{
    Task<BasePageEntitySDto> GetPageAsync(Guid? id = null, string? pageName = null, string? pageSlug = null,string? type = null, CancellationToken cancellationToken=default);
    Task<List<BasePageEntitySDto>> GetPagesAsync(CancellationToken cancellationToken = default);
    Task<bool> CreatePageAsync(PageActionRequestDto entity, CancellationToken cancellationToken = default);
}